| Class and Description |
|---|
| org.springframework.http.client.CommonsClientHttpRequestFactory
In favor of
HttpComponentsClientHttpRequestFactory |
| Method and Description |
|---|
| org.springframework.web.util.UriUtils.encodeHttpUrl(String, String)
in favor of
UriComponentsBuilder; see note about query param encoding |
| org.springframework.web.util.UriTemplate.encodeUri(String)
No longer in use, with no direct replacement
|
| org.springframework.web.util.UriUtils.encodeUri(String, String)
in favor of
UriComponentsBuilder; see note about query param encoding |
| org.springframework.web.util.UriUtils.encodeUriComponents(String, String, String, String, String, String, String, String, String)
in favor of
UriComponentsBuilder |
| org.springframework.util.ClassUtils.forName(String)
as of Spring 3.0, in favor of specifying a ClassLoader explicitly: see
ClassUtils.forName(String, ClassLoader) |
| org.springframework.util.ClassUtils.isPresent(String)
as of Spring 2.5, in favor of
ClassUtils.isPresent(String, ClassLoader) |